Package org.apache.tools.ant.taskdefs.optional.ejb

# Class InnerClassFilenameFilter

java.lang.Object
org.apache.tools.ant.taskdefs.optional.ejb.InnerClassFilenameFilter

All Implemented Interfaces:
  `FilenameFilter`

public class InnerClassFilenameFilter extends Object implements FilenameFilter
A filename filter for inner class files of a particular class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(File dir, String filename)`
  Check if the file name passes the filter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### accept

    public boolean accept(File dir, String filename)
    Check if the file name passes the filter.
    Specified by:
      `accept` in interface `FilenameFilter`
    Parameters:
      `dir` - not used.
      `filename` - the filename to filter on.
    Returns:
      true if the filename is an inner class of the base class.